Skip to main content

List Restore Snapshot Jobs (V2)

On Request

Lists restore snapshot jobs, optionally filtered by database or collection.

POST/v2/vectordb/jobs/snapshot/list
Connection Endpoint

The base URL for this API is in the following format:

https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530

📘Notes
  • Use the cluster endpoint if you are using serving clusters.
    • Free & Serverless

      https://{cluster-id}.serverless.{region}.vectordb.zillizcloud.com

    • Dedicated

      https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

shell
export CLUSTER_ENDPOINT="https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530"
Parameters
Authorizationstringheader

The authentication token should be an API key with appropriate privileges.

Example Value: Bearer {{TOKEN}}
Request Body
dbNamestring

The name of the database to filter by.

collectionNamestring

The name of the collection to filter by.

bash
export TOKEN="YOUR_API_KEY"

curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/jobs/snapshot/list" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"dbName": "default",
"collectionName": "my_collection"
}'
Responses

Lists restore snapshot jobs, optionally filtered by database or collection.

codeintegerrequired

Response code.

dataobjectrequired
recordsarrayrequired

The restore snapshot jobs matching the request filters.

[]recordsobjectrequired

Detailed information about a restore snapshot job.

jobIdinteger<int64>required

The unique identifier of the restore job.

snapshotNamestringrequired

The name of the snapshot being restored.

dbNamestringrequired

The target database name.

collectionNamestringrequired

The target collection name.

statestringrequired

The current state of the restore job.

progressintegerrequired

The progress of the restore job as a percentage.

reasonstring

The failure reason when the restore job fails.

startTimestring

The timestamp when the restore job started.

timeCostinteger<int64>

The elapsed time of the restore job in milliseconds.

codeintegerrequired

Response code.

messagestringrequired

Error message.

Successjson
{
"code": 0,
"data": {
"records": [
{
"jobId": 451799928999570200,
"snapshotName": "snapshot_2026_01",
"dbName": "default",
"collectionName": "my_collection",
"state": "RestoreSnapshotCompleted",
"progress": 100,
"reason": "",
"startTime": "2026-01-01T00:00:00Z",
"timeCost": 1200
}
]
}
}